## org.aspectj.weaver.tools
Interface ShadowMatch

    public interface ShadowMatch

The result of asking a PointcutExpression to match at a shadow (method execution, handler, constructor call, and so on).

Method Summary
`boolean` `alwaysMatches()` True iff the pointcut expression will match any join point at this shadow (for example, any call to the given method).
`JoinPointMatch` `matchesJoinPoint(java.lang.Object thisObject, java.lang.Object targetObject, java.lang.Object[] args)` Return the result of matching a join point at this shadow with the given this, target, and args.
`boolean` `maybeMatches()` True if the pointcut expression may match some join points at this shadow (for example, some calls to the given method may match, depending on the type of the caller).
`boolean` `neverMatches()` True iff the pointcut expression can never match any join point at this shadow (for example, the pointcut will never match a call to the given method).
`void` `setMatchingContext(MatchingContext aMatchContext)` Set a matching context to be used when matching join points.

Method Detail

### alwaysMatches

    boolean alwaysMatches()

  True iff the pointcut expression will match any join point at this shadow (for example, any call to the given method).

### maybeMatches

    boolean maybeMatches()

  True if the pointcut expression may match some join points at this shadow (for example, some calls to the given method may match, depending on the type of the caller).

  If alwaysMatches is true, then maybeMatches is always true.

### neverMatches

    boolean neverMatches()

  True iff the pointcut expression can never match any join point at this shadow (for example, the pointcut will never match a call to the given method).

### matchesJoinPoint

    JoinPointMatch matchesJoinPoint(java.lang.Object thisObject,
                                    java.lang.Object targetObject,
                                    java.lang.Object[] args)

  Return the result of matching a join point at this shadow with the given this, target, and args.

  Parameters:
    `thisObject` - the object bound to this at the join point
    `targetObject` - the object bound to target at the join point
    `args` - the arguments at the join point
  Returns:

### setMatchingContext

    void setMatchingContext(MatchingContext aMatchContext)

  Set a matching context to be used when matching join points.

  See Also:
    `MatchingContext`